<template>
  <div v-if="isLoading" class="loadingContainer">
    <div class='loading_message'>
      <b-spinner variant="light" type="grow" label="Loading"></b-spinner>
      <b-spinner variant="light" type="grow" label="Loading" style="margin-left:5px;"></b-spinner>
      <b-spinner variant="light" type="grow" label="Loading" style="margin-left:5px;"></b-spinner>
      <span style="margin-left:5px;">Veuillez patienter<br/></span>
    </div>
  </div>
</template>

<script lang="ts">
/* eslint-disable class-methods-use-this */
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */

import Component from 'vue-class-component';
import BaseComponent from '../BaseComponent';

@Component({
  props: {
  },
})
export default class LoadingPanel extends BaseComponent {
  get isLoading() {
    return this.contextService.loading;
  }
}
</script>

<style scoped lang="less">
.loadingContainer{
  position: absolute;
  top: 0px;
  left: 0px;
  width:100vw;
  height: 100%;
  z-index: 8000;
  background-color: rgba(92, 87, 87, 0.651);
}

.loading_message{
  color:white;
  margin: auto;
  position: absolute;
  top: 50%;
  left:40%;
  font-size: 20px;
}
</style>
